For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList agents
      • POSTCreate agent
      • POSTFetch external agent card
      • GETGet agent details
      • PUTUpdate agent
      • DELDelete agent
      • STREAMResolve a pending agent tool approval
      • POSTAdd capability to agent
      • DELRemove capability from agent
      • STREAMExecute agent
      • GETList agent executions
      • GETGet execution detail
      • GETList tool calls
      • GETGet tool call detail
      • GETExport agent for runtime
      • POSTPublish agent
      • POSTRefresh cached agent card
      • STREAMResume a paused agent execution
      • POSTExecute agent voice (text-to-speech)
Dashboard
LogoLogo
Runtype APIAgents

Export agent for runtime

GET
/v1/agents/:id/export-runtime
GET
/v1/agents/:id/export-runtime
$curl https://api.runtype.com/v1/agents/id/export-runtime \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "agentType": "runtype",
3 "config": {
4 "language": "en",
5 "maxConcurrentSessions": 5,
6 "loggingEnabled": true
7 },
8 "description": "Customer support chatbot agent for handling user inquiries and troubleshooting.",
9 "id": "agent_1234567890abcdef",
10 "name": "SupportBot",
11 "capabilities": [
12 {
13 "name": "text-generation",
14 "provider": "openai",
15 "model": "gpt-4",
16 "maxTokens": 1024,
17 "temperature": 0.7,
18 "credentials": {
19 "apiKey": "secret:openai_api_key"
20 }
21 }
22 ],
23 "externalConfig": {
24 "webhookUrl": "https://hooks.example.com/agent-events",
25 "retryPolicy": {
26 "maxRetries": 3,
27 "backoffSeconds": 5
28 }
29 },
30 "primaryFlow": {
31 "startNode": "greeting",
32 "nodes": {
33 "greeting": {
34 "type": "message",
35 "text": "Hello! How can I assist you today?",
36 "next": "intentRecognition"
37 },
38 "intentRecognition": {
39 "type": "intent",
40 "intents": [
41 "billing_issue",
42 "technical_support",
43 "general_query"
44 ],
45 "next": {
46 "billing_issue": "billingFlow",
47 "technical_support": "techSupportFlow",
48 "general_query": "generalFlow"
49 }
50 },
51 "billingFlow": {
52 "type": "flow",
53 "flowId": "billing_subagent"
54 },
55 "techSupportFlow": {
56 "type": "flow",
57 "flowId": "tech_support_subagent"
58 },
59 "generalFlow": {
60 "type": "message",
61 "text": "Please provide more details about your query.",
62 "next": null
63 }
64 }
65 }
66}

Export a fully-resolved, self-contained agent definition that the @runtypelabs/runtime package can consume directly at boot. Capabilities, flows, and nested sub-agents are inlined recursively (up to 3 levels). MCP credential values are replaced with secret-name references.

Was this page helpful?
Previous

Publish agent

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Exported agent definition
agentTypeenum
Allowed values:
configmap from strings to any
descriptionstring or null
idstring
namestring
capabilitieslist of maps from strings to any
externalConfigmap from strings to any
primaryFlowmap from strings to any

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error